## Class Swift_SwiftException

(line 16)

## Description

    Exception
       |
       --Swift_SwiftException

Located in File: /vendors/swiftMailer/classes/Swift/SwiftException.php

##### Base Exception class.

- author: - Chris Corbyn

Classes extended from Swift_SwiftException:

Swift_DependencyException
  DependencyException thrown when a requested dependeny is missing.

Swift_IoException
  I/O Exception class.

Swift_RfcComplianceException
  RFC Compliance Exception class.

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_SwiftException __construct (string $message)

#### Constructor __construct (line 23)

#### Swift_SwiftException __construct( string $message)

Overridden in child classes as:

Swift_DependencyException::__construct()
  Create a new DependencyException with $message.

Swift_IoException::__construct()
  Create a new IoException with $message.

Swift_Plugins_Pop_Pop3Exception::__construct()
  Create a new Pop3Exception with $message.

Swift_TransportException::__construct()
  Create a new TransportException with $message.

Swift_RfcComplianceException::__construct()
  Create a new RfcComplianceException with $message.

Overrides : Exception::constructor __construct ( [$message = ], [$code = ], [$previous = ] ) parent method not documented

##### Create a new SwiftException with $message.

#### Parameters

- string $message:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

#### Inherited From Class Exception (Internal Class)

#### $code -

#### $file -

#### $line -

#### $message -

#### $previous -

#### $string -

#### $trace -

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Exception (Internal Class)

#### constructor __construct ( [$message = ], [$code = ], [$previous = ] ) -

#### getCode ( ) -

#### getFile ( ) -

#### getLine ( ) -

#### getMessage ( ) -

#### getPrevious ( ) -

#### getTrace ( ) -

#### getTraceAsString ( ) -

#### __clone ( ) -

#### __toString ( ) -

Documentation generated on Fri, 12 Nov 2010 20:45:30 +0000 by phpDocumentor 1.4.3